En cada versión, Blackboard dedica tiempo y recursos a ejecutar Blackboard Learn en los sistemas operativos, las bases de datos y los navegadores web disponibles más recientes, con el objetivo de crear un sistema que sea más estable, más fácil de usar y que se pueda administrar mejor.

En este tema, se destacan los cambios principales en los navegadores y las tecnologías compatibles para esta versión. Si desea consultar la información más actualizada, lea las secciones Tecnologías y navegadores compatibles y Usuarios finales de tecnologías compatibles de Blackboard Learn versión 9.1 del cuarto trimestre de 2018, disponibles en Behind the Blackboard.

Para definir con mayor claridad los acuerdos de asistencia en relación con las tecnologías de clientes de terceros, Blackboard ya no clasifica la compatibilidad de las tecnologías con los términos "compatible" o "certificada". Estas tecnologías pueden ser compatibles o no. Se intenta que las tecnologías con o sin asistencia se alineen en la medida de lo posible con las directivas de asistencia de proveedores de terceros.

  • Compatible: compatible con el proveedor y con Blackboard.
  • No compatible: no compatible con el proveedor o con Blackboard.

Configuraciones del servidor de 64 bits

Sistemas operativos y bases de datos compatibles
 Servidor de aplicaciones/JDK 1.8SQL Server 2017 Enterprise y Standard*Oracle 12cR2 (18c)**Oracle 11gR2*
Windows Server 2016CompatibleCompatibleNo compatibleNo compatible
Red Hat Enterprise Linux Server 6CompatibleNo compatibleCompatibleCompatible
Red Hat Enterprise Linux Server 7 (7.5)CompatibleNo compatibleCompatibleCompatible

* Las configuraciones de Server AlwaysOn para SQL Server y RAC para Oracle no son oficialmente compatibles.

** Oracle ASO (configuración de seguridad avanzada) no es compatible.

*** Blackboard solo será compatible con la instalación en la capa JDBC de Learn a base de datos, no en la capa de la base de datos. Los problemas que surjan hasta la capa de JDBC se aceptan como incidentes de compatibilidad, y se escalan y se resuelven según los procedimientos estándares del área de soporte de productos. Los demás problemas que surjan en la capa de la base de datos deben consultarse con el proveedor de la base de datos.


Notas sobre la configuración

  • Los servidores de la aplicación Sun Solaris ya no son compatibles.
  • Se agregó compatibilidad para Red Hat Enterprise Linux (RHEL) 7.

Tecnologías no compatibles

  • SQL Server 2014 y Windows Server 2012
  • Solaris en servidores de aplicaciones
  • Windows 7

Sistemas operativos y bases de datos en idiomas distintos del inglés

Los sistemas operativos y las bases de datos en idiomas distintos del inglés, como la versión en chino de Oracle, son compatibles con Blackboard Learn.

Configuraciones de bases de datos de alta disponibilidad

Blackboard considera muy recomendable que, para facilitar la administración del sistema, Blackboard Learn se instale en una base de datos de instancia única. Oracle RAC y Microsoft SQL Server AlwaysOn tienen configuraciones de alta disponibilidad de sus proveedores respectivos. Si debido a una directiva institucional debe ejecutar Blackboard Learn en una configuración de base de datos de AlwaysOn o RAC, puede hacerlo, pero tenga en cuenta que Blackboard Learn solo ofrece asistencia para la instalación en la capa JDBC de Learn a base de datos, no en la capa de base de datos. Los problemas que surjan en la capa de JDBC se aceptarán como incidentes de compatibilidad, y se escalarán y se resolverán según los procedimientos estándares de servicio de asistencia al producto. Los demás problemas que surjan en la base de datos deberán consultarse con el proveedor de la base de datos. Si no puede resolver problemas de la base de datos en la capa de la base de datos en estas configuraciones, el área de soporte de productos le recomendará cambiar a una configuración de base de datos de instancia única para obtener compatibilidad continua.

Configuraciones híbridas

No se han probado y no se admiten las configuraciones híbridas de Red Hat y Solaris.

Configuración de TLS

Blackboard Learn ahora solo se ejecuta a través de TLS.

Plataforma de Java (compatibilidad con el JDK de Java SE)

JDK 1.8 es compatible, aunque algunas versiones anteriores (JDK 1.8.0_152 y versiones previas) pueden ocasionar fallas en el instalador debido a un problema del proveedor. El resto de versiones no son compatibles.

Blackboard recomienda actualizar JDK para evitar fallas de instalación.

  1. Instalar JDK 1.8 (.172 o versiones posteriores) en las aplicaciones.
  2. Establecer el valor en bb-config.properties.
  3. Verificar que JAVA_HOME está configurado en la versión más reciente antes de iniciar la instalación o actualización.

Requisitos mínimos del sistema:

  • 8 GB por servidor de aplicaciones de Learn
  • 24 GB por servidor de Oracle

Notas:

  • Esta es la memoria de JVM mínima requerida para ejecutar Blackboard Learn.
  • Para ejecutar la base de datos de Blackboard y manejar todas sus bases de datos, se requiere un mínimo de 24 GB por servidor de Oracle.
  • Si su servidor de aplicaciones de Blackboard Learn y el servidor de Oracle se ejecutan en un servidor independiente, se combinan los requisitos mínimos (32 GB).

Virtualización

VMware® ESX Server (Linux® y Windows®) es la única configuración certificada por Blackboard para la versión 9.1.

Blackboard admite otras soluciones de virtualización, siempre que Blackboard y el hipervisor sean compatibles con el sistema operativo invitado.

Además de VMware, Blackboard también tiene experiencia con Citrix XenServer y Red Hat® Enterprise Linux® Xen.


Rutas de actualización compatibles

El departamento de Desarrollo de productos de Blackboard certifica las actualizaciones directamente desde dos versiones anteriores:

  • Versión 9.1 del segundo trimestre de 2018
  • Versión 9.1 del cuarto trimestre de 2017

Para clientes alojados en el servidor del usuario en Windows

  • Si realizará una actualización desde la versión del segundo trimestre de 2018, no hay pasos específicos adicionales para prepararse para el cuarto trimestre de 2018.
  • Si realizará una actualización desde la versión del cuarto trimestre de 2017, se requieren actualizaciones de la aplicación y de la base de datos. La versión del cuarto trimestre de 2018 es compatible con Windows Server 2016 y SQL Server 2017. Primero, actualice Blackboard Learn, seguido por el sistema operativo y luego la base de datos.

Para clientes alojados en el servidor del usuario en Linux

Se admite cualquier combinación de las tecnologías compatibles, por lo que los administradores pueden elegir si también se aplican las actualizaciones del sistema operativo o de la base de datos durante la actualización. Blackboard probó específicamente las siguientes configuraciones:

  • RHEL 6 con Oracle 11gR2
  • RHEL 7,5 con Oracle 12cR2

Otras combinaciones podrían ser compatibles, como 12cR1. Es posible seguir cualquier orden de actualizaciones, aunque se recomienda la actualización del sistema operativo, de la base de datos y luego de la aplicación Blackboard Learn.